package com.qmth.teachcloud.mark.dto.mark.mark;

import com.qmth.teachcloud.mark.entity.MarkTask;

/**
 * 评卷提交结果状态
 */
public class SubmitResult {

    private boolean success;

    private MarkTask markLibrary;

    public static SubmitResult faile() {
        return new SubmitResult(false, null);
    }

    public static SubmitResult success(MarkTask library) {
        return new SubmitResult(true, library);
    }

    private SubmitResult(boolean success, MarkTask markLibrary) {
        this.success = success;
        this.markLibrary = markLibrary;
    }

    public boolean isSuccess() {
        return success;
    }

    public MarkTask getMarkLibrary() {
        return markLibrary;
    }

}
